-- Put your global variables here
amount_steps = 0
max_steps = 50

-- initialization 
function init()
    -- set the speed of the robot to zero
    robot.wheels.set_velocity(0,0)

    robot.colored_blob_omnidirectional_camera.enable()

    -- initialize the amount of steps
    amount_steps = 0
end

-- actions for each step
function step()
    -- as long as we don't take too many steps, go forward
    -- else stop moving
    if amount_steps < max_steps then
        robot.wheels.set_velocity(5,5)
        amount_steps = amount_steps + 1
    else
        robot.wheels.set_velocity(0,0)
    end

    -- each step, read the light sensors
    read_front_camera()
end

-- reinitialize the controller
function reset()
    init()
end

function destroy()
    -- put your code here
end

---------------------------------------------------------------------

-- reads the camera sensor and logs the values
function read_front_camera()

    log(#robot.colored_blob_omnidirectional_camera)

    for i = 1, #robot.colored_blob_omnidirectional_camera do
        log(i .. " -> " .. robot.colored_blob_omnidirectional_camera[i].distance)
        log(i .. " -> " .. robot.colored_blob_omnidirectional_camera[i].angle)
        --log(i .. " -> " .. robot.colored_blob_omnidirectional_camera[i].color)
    end

end
